## uget 2.0.9

=== uget/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.1)

project(uget)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNDEBUG")
# set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNO_RETRY_IF_CONNECT_FAILED")

include_directories( ${CURL_INCLUDE_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}/../uglib
                   )

add_library( uget
             STATIC

             UgetRpc.c
             UgetOption.c
             UgetData.c
             UgetNode.c
             UgetNode-compare.c
             UgetTask.c
             UgetHash.c
             UgetApp.c
             UgetEvent.c
             UgetPlugin.c
             UgetA2cf.c
             UgetCurl.c
             UgetAria2.c
             UgetMedia.c
             UgetMedia-youtube.c
             UgetPluginCurl.c
             UgetPluginAria2.c
             UgetPluginMedia.c
           )

## uget 1.6.0

=== debian/changelog ===
uget (1.6.0-1) experimental; urgency=low

  * New upstream stable release.

 -- Alessio Treglia <alessio@debian.org>  Wed, 25 Aug 2010 09:52:22 +0200

uget (1.5.9.3-1~exp1) experimental; urgency=low

  * First upload to experimental:
    - Imported Upstream version 1.5.9.3
  * Change my email address.
  * Move packaging to collab-maint's git area.
  * Add --as-needed to linking options.
  * Switch to 3.0 (quilt) format.
  * Bump Standards.
  * Add debian/gbp.conf,.gitignore files.
  * Adjust debian/gbp.conf to match experimental configuration.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Aug 2010 11:55:15 +0200

uget (1.5.0.2-1) unstable; urgency=low

  * New upstream release, fixes LP: #512254.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 01 Mar 2010 18:24:49 +0100

uget (1.5.0.1-1) unstable; urgency=low

  * New upstream release.
  * Add DM-Upload-Allowed tag.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 02 Jan 2010 16:46:46 +0100

uget (1.5.0-1) unstable; urgency=low

  * Initial release (Closes: #558768).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 30 Nov 2009 11:08:44 +0100

=== debian/control ===
Source: uget
Section: net
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 intltool,
 libnotify-dev,
 libgstreamer0.10-dev,
 autotools-dev,
 libgtk2.0-dev,
 libcurl4-gnutls-dev
Standards-Version: 3.9.1
Homepage: http://urlget.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/uget.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/uget.git

Package: uget
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: easy-to-use download manager written in GTK+2
 Uget (formerly urlgfe) is a simple, lightweight and easy-to-use
 download manager.
 It provides the following features:
  * Resume downloads.
  * Queue downloads.
  * Classify downloads in categories.
  * Mozilla Firefox integration (through Flashgot plugin).
  * Clipboard monitoring.
  * Import downloads import from HTML files.
  * Batch download.
 .
 It also can be launched from the command line.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/uget

override_dh_auto_test:

## uget 1.6.2.a

=== debian/changelog ===
uget (1.6.2.a-2) experimental; urgency=low

  * Correct linking order to prevent FTBFS with newest toolchain.
  * Set --as-needed linking flag.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Jan 2011 10:28:49 +0100

uget (1.6.2.a-1) experimental; urgency=low

  * New upstream stable release.
  * Update debian/gbp.conf.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Dec 2010 02:05:21 +0100

uget (1.6.1-1) experimental; urgency=low

  * Imported Upstream version 1.6.1
  * Improve manpage.
  * Build-depends on dh-autoreconf.
  * Use dh-autoreconf add-on.
  * Tests no longer fail.

 -- Alessio Treglia <alessio@debian.org>  Fri, 05 Nov 2010 01:15:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  intltool,
+ dh-autoreconf,
  libnotify-dev,
  libgstreamer0.10-dev,
  autotools-dev,

## uget 1.8.0

=== debian/changelog ===
uget (1.8.0-1) unstable; urgency=low

  * New maintainer. Closes: #620475
  * New upstream stable release.
  * Updated Standard-Version to 3.9.2.
  * Relicensing Debian packaging work under LGPL-2.1+
  * Updated debian/copyright to DEP-5 Rev 174.
  * Changed Build-Depends to libcurl4-openssl-dev instead libcurl4-gnutls-dev.
  * Disable 01-natty_ftbfs.patch: Upstream has fixed.
  * Added 02-potfiles_missing.patch: Avoid missing translated file.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Thu, 09 Jun 2011 02:01:16 -0500

uget (1.6.2.a-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 22:57:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: uget
 Section: net
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
  intltool,
  dh-autoreconf,
@@ -9,8 +9,8 @@
  libgstreamer0.10-dev,
  autotools-dev,
  libgtk2.0-dev,
- libcurl4-gnutls-dev
-Standards-Version: 3.9.1
+ libcurl4-openssl-dev
+Standards-Version: 3.9.2
 Homepage: http://urlget.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/uget.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/uget.git

## uget 1.8.2

=== debian/changelog ===
uget (1.8.2-1) unstable; urgency=low

  * New upstream stable release.
  * Bump debhelper to 9.
  * Upstream updated Polish translation. Closes: #671741

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 04 Jun 2012 00:41:12 -0500

uget (1.8.1-1) unstable; urgency=low

  * New upstream stable release
  * Updated Standard-Version to 3.9.3
  * Bump debhelper to 8
  * Update debian/control description from GTK+2 to GTK+
  * Update debian/copyright as in Debian Policy 3.9.3
  * Disable 02-potfiles_missing.patch: Upstream has fixed

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 29 Apr 2012 18:39:55 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
  intltool,
  dh-autoreconf,
  libnotify-dev,
@@ -10,7 +10,7 @@
  autotools-dev,
  libgtk2.0-dev,
  libcurl4-openssl-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://urlget.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/uget.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/uget.git
@@ -19,7 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Description: easy-to-use download manager written in GTK+2
+Description: easy-to-use download manager written in GTK+
  Uget (formerly urlgfe) is a simple, lightweight and easy-to-use
  download manager.
  It provides the following features:

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/uget

=== debian/watch ===
version=3
http://sf.net/urlget/uget-(.*)\.tar.gz

## uget 1.10.3

=== debian/changelog ===
uget (1.10.3-1~ubuntu13.04.1) raring-backports; urgency=low

  * No-change backport to raring (LP: #1209293)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 07 Aug 2013 21:12:40 +0200

uget (1.10.3-1) unstable; urgency=low

  * New upstream release
  * Updated Standard-Version to 3.9.4
  * Changed Build-Depends to libgtk-3-dev instead libgtk2.0-dev
  * Updated year in debian/copyright
  * Updated regular expression in debian/watch
  * Updated debian/rules according debhelper 9

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Thu, 28 Mar 2013 11:25:10 -0500

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  libnotify-dev,
  libgstreamer0.10-dev,
  autotools-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libcurl4-openssl-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://urlget.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/uget.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/uget.git

## uget 1.10.4

=== debian/changelog ===
uget (1.10.4-1ubuntu1) trusty; urgency=low

  * Build-Depend on libappindicator3-dev for Ubuntu (LP: #1278233).

 -- TJ <ubuntu@iam.tj>  Sat, 15 Feb 2014 01:37:05 +0000

uget (1.10.4-1) unstable; urgency=low

  * New upstream release. Closes: #735937
  * Updated Standard-Version to 3.9.5
  * Added 03-uglib_missing_potfile.patch: Avoid missing translate file
  * Updated debian/control canonicalize VCS-* fields 
  * Updated year in debian/copyright

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 25 Jan 2014 21:29:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: uget
 Section: net
 Priority: optional
-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper (>= 9),
  intltool,
  dh-autoreconf,
@@ -9,11 +10,12 @@
  libgstreamer0.10-dev,
  autotools-dev,
  libgtk-3-dev,
+ libappindicator3-dev,
  libcurl4-openssl-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://urlget.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/uget.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/uget.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/uget.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uget.git
 
 Package: uget
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/uget

override_dh_auto_configure:
	dh_auto_configure -- --enable-appindicator=auto

=== debian/watch ===
version=3

http://sf.net/urlget/uget-([0-9].+)\.(?:tar\.gz)

## uget 2.0.2

=== debian/changelog ===
uget (2.0.2-1ubuntu1) xenial; urgency=medium

  * Resync with Debian. Remaining change:
    + Build-depend on libappindicator3-dev on Ubuntu. 

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 02 Dec 2015 23:10:40 -0500

uget (2.0.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Add extra option to make hardening better
  * Updated 03-uglib_missing_potfile.patch

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 04 Oct 2015 19:19:52 -0500

uget (2.0-1) unstable; urgency=low

  * New upstream release.
  * Updated Standard-Version to 3.9.6
  * Switched to GStreamer 1.x. Closes: #785925
  * Added manpage uget-gtk-1to2.1
  * Upstream fixed rename remote destination files. Closes: #750172
  * Upstream fixed update config settings. Closes: #775031
  * Updated debian/copyright: New path for files
  * Updated 03-uglib_missing_potfile.patch: New path for files
  * Added 04-keywords-desktop-file.patch: Keywords entry into desktop file

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 12 Jul 2015 20:45:00 -0500

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  intltool,
  dh-autoreconf,
  libnotify-dev,
- libgstreamer0.10-dev,
+ libgstreamer1.0-dev,
  autotools-dev,
  libgtk-3-dev,
- libappindicator3-dev,
- libcurl4-openssl-dev
-Standards-Version: 3.9.5
+ libssl-dev,
+ libcurl4-openssl-dev,
+ libappindicator3-dev
+Standards-Version: 3.9.6
 Homepage: http://urlget.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/uget.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uget.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/uget

## uget 2.0.7

=== debian/changelog ===
uget (2.0.7-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable. (LP: #1568228) Remaining changes:
    - debian/control:
      + Build-Depends on libappindicator3-dev on Ubuntu.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 06 Aug 2016 13:07:21 +0200

uget (2.0.7-1) unstable; urgency=medium

  * New upstream release
  * Remove 04-keywords-desktop-file.patch: upstream already has considered
  * Remove 05_ignore_build_potfiles.patch: upstream already has considered

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 24 Apr 2016 20:18:52 -0500

uget (2.0.6-1) unstable; urgency=medium

  * New upstream release
  * Updated Standard-Version to 3.9.7
  * Add 05_ignore_build_potfiles.patch: ignore missing files
  * Remove 03-uglib_missing_potfile.patch: upstream already has considered
  * gitignore file: added debian/.pot

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 04 Apr 2016 18:41:00 -0500

uget (2.0.4-1) unstable; urgency=medium

  * New upstream release
  * debian/menu: Removed menu file from package
  * Updated year in debian/copyright

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 25 Jan 2016 21:16:08 -0500

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  libnotify-dev,
  libgstreamer1.0-dev,
  autotools-dev,
+ libappindicator3-dev,
  libgtk-3-dev,
  libssl-dev,
- libcurl4-openssl-dev,
- libappindicator3-dev
-Standards-Version: 3.9.6
+ libcurl4-openssl-dev
+Standards-Version: 3.9.7
 Homepage: http://urlget.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/uget.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uget.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uget.git
 
 Package: uget
 Architecture: any

## uget 2.0.8

=== debian/changelog ===
uget (2.0.8-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build-Depends on libappindicator3-dev on Ubuntu.
  * Convert upstream changes to a patch to silence build warnings.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 31 Dec 2016 13:03:41 +0530

uget (2.0.8-1) unstable; urgency=medium

  * New upstream release
  * Updated Standard-Version to 3.9.8

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 28 Aug 2016 13:28:13 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libgtk-3-dev,
  libssl-dev,
  libcurl4-openssl-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://urlget.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/uget.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uget.git

## uget 2.0.9

=== debian/changelog ===
uget (2.0.9-0mx15+1) mx; urgency=medium

  * New upstream release.
    - Use character ↓/↑ to replace D:/U: to display speed.
    - avoid configure file corrupted on sudden shutdown.
    - curl plug-in: crashes when download file > 4GB.
    - Fix: program will move download to incorrect position if user switch to
      offline mode.
    - Fix: Segmentation fault after pressing delete key on gtk window.
    -  Fix: Wayland hidden tray.
    -  update translation files.

  * Add 2017 to debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Mar 2017 16:49:52 -0700

uget (2.0.8-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Feb 2017 12:01:00 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: uget
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper (>= 9),
  intltool,
@@ -9,7 +10,6 @@
  libnotify-dev,
  libgstreamer1.0-dev,
  autotools-dev,
- libappindicator3-dev,
  libgtk-3-dev,
  libssl-dev,
  libcurl4-openssl-dev

## uget 2.2.0

=== uget/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNO_RETRY_IF_CONNECT_FAILED")
 
 include_directories( ${CURL_INCLUDE_DIR}
+                     ${OPENSSL_INCLUDE_DIR}
                      ${CMAKE_CURRENT_SOURCE_DIR}
                      ${CMAKE_CURRENT_SOURCE_DIR}/../uglib
                    )
@@ -13,6 +14,7 @@
 add_library( uget
              STATIC
 
+             UgetSequence.c
              UgetRpc.c
              UgetOption.c
              UgetData.c
@@ -20,6 +22,7 @@
              UgetNode-compare.c
              UgetTask.c
              UgetHash.c
+             UgetSite.c
              UgetApp.c
              UgetEvent.c
              UgetPlugin.c
@@ -31,5 +34,7 @@
              UgetPluginCurl.c
              UgetPluginAria2.c
              UgetPluginMedia.c
+             UgetPluginAgent.c
+             UgetPluginMega.c
            )

=== debian/changelog ===
uget (2.2.0-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:54:02 +0000

uget (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Updated Standard-Version to 4.1.3
  * Bump debhelper to 11
  * Disable 06_fix_spelling_error.patch: upstream already has considered
  * Add lintian override for desktop-command-not-in-package
  * debian/patches: removed
  * debian/copyright: Updated year

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Tue, 16 Jan 2018 09:59:02 -0500

uget (2.0.10-1) unstable; urgency=medium

  * New upstream release. Closes:#873870
  * Updated Standard-Version to 4.1.0
  * Add 06_fix_spelling_error.patch: fixing spelling errors in source code
  * debian/rules: adding upstream changelog
  * debian/control: Updated Vcs-Git with https
  * debian/watch: Updated to version 4
  * debian/copyright: Updated year

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 02 Sep 2017 08:25:46 -0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: uget
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
  intltool,
- dh-autoreconf,
  libnotify-dev,
  libgstreamer1.0-dev,
- autotools-dev,
  libgtk-3-dev,
  libssl-dev,
  libcurl4-openssl-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://urlget.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/uget.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/uget.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uget.git
 
 Package: uget

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf
+	dh $@
+
+override_dh_installchangelogs:
+	dh_installchangelogs README
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/uget

## uget 2.2.1

=== uglib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.1)

project(uglib)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNDEBUG")

include_directories( ${CURL_INCLUDE_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                   )

add_library( uglib
             STATIC

             UgStdio.c
             UgString.c
             UgThread.c
             UgSocket.c
             UgUtil.c
             UgFileUtil.c
             UgArray.c
             UgList.c
             UgSLink.c
             UgOption.c
             UgUri.c
             UgNode.c
             UgGroupData.c
             UgData.c
             UgRegistry.c
             UgValue.c
             UgEntry.c
             UgBuffer.c
             UgJson.c
             UgJson-custom.c
             UgJsonFile.c
             UgJsonrpc.c
             UgJsonrpcSocket.c
             UgJsonrpcCurl.c
             UgHtml.c
             UgHtmlEntry.c
             UgHtmlFilter.c
           )

=== debian/changelog ===
uget (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Fri, 16 Mar 2018 13:10:09 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: uget
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
+Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper (>= 11),
  intltool,
  libnotify-dev,

## uget 2.2.2

=== debian/changelog ===
uget (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Updated Standard-Version to 4.4.0.1
  * Updated debian/control VCS* fields
  * Updated Homepage url
  * Bump debhelper to 12
  * Updated copyright years

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 20 Jul 2019 14:17:30 -0300

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends:
+ debhelper-compat (= 12),
  intltool,
  libnotify-dev,
  libgstreamer1.0-dev,
  libgtk-3-dev,
  libssl-dev,
  libcurl4-openssl-dev
-Standards-Version: 4.1.3
-Homepage: http://urlget.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/uget.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/uget.git
+Standards-Version: 4.4.0.1
+Homepage: https://ugetdm.com/
+Vcs-Git: https://salsa.debian.org/elias-guest/uget.git
+Vcs-Browser: https://salsa.debian.org/elias-guest/uget
 
 Package: uget
 Architecture: any

=== debian/watch ===
version=4

http://sf.net/urlget/ .*stable.*/uget-([\d.]+)\.tar\.(?:bz2|gz|xz)

## uget 2.2.3

=== uget/CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,10 @@
              UgetRpc.c
              UgetOption.c
              UgetData.c
+			 UgetFiles.c
              UgetNode.c
              UgetNode-compare.c
+             UgetNode-filter.c
              UgetTask.c
              UgetHash.c
              UgetSite.c

=== debian/changelog ===
uget (2.2.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1098030)
  * Mark the autopkgtest as superficial. (Closes: #971507)

 -- Adrian Bunk <bunk@debian.org>  Tue, 30 Sep 2025 16:30:46 +0300

uget (2.2.3-2) unstable; urgency=medium

  * Add support_gcc10_compilation.patch: fix ftbfs with GCC 10. Closes: #957896
  * Update debian/control VCS-* path
  * debian/rules: Remove DEB_LDFLAGS_MAINT_APPEND, no longer necessary
  * Bump debhelper compatibility to 13

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Tue, 28 Jul 2020 18:30:58 -0500

uget (2.2.3-1) unstable; urgency=medium

  * New upstream release
  * Update Standard-Version to 4.5.0
  * Update copyright years
  * Update debian/watch to use uversionmangle
  * Add Rules-Requires-Root: no
  * Add debian/upstream DEP-12 metadata
  * Add debian/salsa-ci configuration file
  * Add debian/tests to perform a simple test

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 13 Apr 2020 16:07:46 -0500

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  intltool,
  libnotify-dev,
  libgstreamer1.0-dev,
  libgtk-3-dev,
  libssl-dev,
  libcurl4-openssl-dev
-Standards-Version: 4.4.0.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://ugetdm.com/
-Vcs-Git: https://salsa.debian.org/elias-guest/uget.git
-Vcs-Browser: https://salsa.debian.org/elias-guest/uget
+Vcs-Git: https://salsa.debian.org/elias/uget.git
+Vcs-Browser: https://salsa.debian.org/elias/uget
 
 Package: uget
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: version
Depends: uget
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts=uversionmangle=s/-\d// \
http://sf.net/urlget/ .*stable.*/uget-(\d\S+)\.tar\.(?:bz2|gz|xz)
